Bug 1914341 - python-sphinxcontrib-autoprogram fails to build with Python 3.10: argparse output changed
Summary: python-sphinxcontrib-autoprogram fails to build with Python 3.10: argparse ou...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: python-sphinxcontrib-autoprogram
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marcel Haerry
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-01-08 15:46 UTC by Miro Hrončok
Modified: 2021-02-09 16:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2021-01-08 15:46:38 UTC
python-sphinxcontrib-autoprogram fails to build with Python 3.10.0a4.

======================================================================
FAIL: test_argument_groups (sphinxcontrib.autoprogram.ScannerTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/sphinxcontrib-autoprogram-0.1.5/sphinxcontrib/autoprogram.py", line 423, in test_argument_groups
    self.assertEqual('optional arguments', group.title)
AssertionError: 'optional arguments' != 'options'
- optional arguments
+ options


----------------------------------------------------------------------
Ran 6 tests in 0.004s

This is new argparse output: https://bugs.python.org/issue9694


For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01865255-python-sphinxcontrib-autoprogram/

For all our attempts to build python-sphinxcontrib-autoprogram with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-sphinxcontrib-autoprogram/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Karthikeyan Singaravelan 2021-01-28 14:51:56 UTC
Reported upstream : https://github.com/sphinx-contrib/autoprogram/issues/24 . I will propose a PR on GitHub.

Comment 2 Ben Cotton 2021-02-09 15:38:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.


Note You need to log in before you can comment on or make changes to this bug.